Bug 1274492 - Review Request: nodejs-foreach - Iterate over the key value pairs of an object
Review Request: nodejs-foreach - Iterate over the key value pairs of an object
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jared Smith
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews 1274500 1274506 1274507 1274508 1274511
  Show dependency treegraph
 
Reported: 2015-10-22 15:55 EDT by Tom Hughes
Modified: 2015-11-09 19:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-08 01:52:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jsmith.fedora: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Tom Hughes 2015-10-22 15:55:34 EDT
Spec URL: http://tomh.fedorapeople.org//nodejs-foreach.spec
SRPM URL: http://tomh.fedorapeople.org//nodejs-foreach-2.0.5-1.fc23.src.rpm

Description:
Iterate over the key value pairs of either an array-like object or a dictionary like object.
Comment 1 Upstream Release Monitoring 2015-10-22 16:52:16 EDT
tomh's scratch build of nodejs-foreach-2.0.5-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11546927
Comment 2 Jared Smith 2015-10-26 12:54:52 EDT
The summary is too long, and should be trimmed.

You may want to call the following macro at the top, in case someone wants to build this on EPEL:

%{?nodejs_find_provides_and_requires}


Also, add the following line immediately below %files for EPEL6, where the %license tag is not recognized:

%{!?_licensedir:%global license %doc}

Assuming you fix the length of the summary, this package is approved.




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-foreach-2.0.5-1.fc23.noarch.rpm
          nodejs-foreach-2.0.5-1.fc23.src.rpm
nodejs-foreach.noarch: E: summary-too-long C Iterate over the key value pairs of either an array-like object or a dictionary like object
nodejs-foreach.noarch: E: description-line-too-long C Iterate over the key value pairs of either an array-like object or a dictionary like object.
nodejs-foreach.noarch: W: only-non-binary-in-usr-lib
nodejs-foreach.src: E: summary-too-long C Iterate over the key value pairs of either an array-like object or a dictionary like object
nodejs-foreach.src: E: description-line-too-long C Iterate over the key value pairs of either an array-like object or a dictionary like object.
2 packages and 0 specfiles checked; 4 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-foreach.noarch: E: summary-too-long C Iterate over the key value pairs of either an array-like object or a dictionary like object
nodejs-foreach.noarch: E: description-line-too-long C Iterate over the key value pairs of either an array-like object or a dictionary like object.
nodejs-foreach.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 2 errors, 1 warnings.



Requires
--------
nodejs-foreach (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-foreach:
    nodejs-foreach
    npm(foreach)



Source checksums
----------------
https://registry.npmjs.org/foreach/-/foreach-2.0.5.tgz :
  CHECKSUM(SHA256) this package     : 93296ba4b487e34a30935f4a833152b2c7a85f6779040a791080e60a6d1f3e17
  CHECKSUM(SHA256) upstream package : 93296ba4b487e34a30935f4a833152b2c7a85f6779040a791080e60a6d1f3e17


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1274492
Buildroot used: fedora-23-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Tom Hughes 2015-10-26 13:17:35 EDT
Updated with shorter summary:

Spec URL: http://tomh.fedorapeople.org/nodejs-foreach.spec
SRPM URL: http://tomh.fedorapeople.org/nodejs-foreach-2.0.5-2.fc23.src.rpm
Comment 4 Fedora Update System 2015-10-27 05:03:25 EDT
nodejs-foreach-2.0.5-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-41534c05ab
Comment 5 Fedora Update System 2015-10-27 05:03:25 EDT
nodejs-foreach-2.0.5-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-be68af6f0f
Comment 6 Fedora Update System 2015-10-31 11:53:57 EDT
nodejs-foreach-2.0.5-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-foreach'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-41534c05ab
Comment 7 Fedora Update System 2015-11-01 19:28:21 EST
nodejs-foreach-2.0.5-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-foreach'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-be68af6f0f
Comment 8 Fedora Update System 2015-11-08 01:52:04 EST
nodejs-foreach-2.0.5-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-11-09 19:23:55 EST
nodejs-foreach-2.0.5-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.